function [f, J] = Zombies(t, y, params)
% function [y, J] = RaeuberBeute(t, y, params)
%
% Implementiert die rechte Seite des 
% Raeuber-Beute-Modells.
%
% Input:
%   --
%   t ... Zeit (wird nicht explizit gebraucht)
%   y ... Loesung zur Zeit t
%   params ... Parameter des Modells
%
% Output:
%   --
%   f ... Rechte Seite zur Zeit t
%   J ... Jacobi-Matrix der rechten Seite
%

% f = [params(1)*y(1) - params(3)*y(1)*y(2); 
%     -params(2)*y(2) + params(4)*y(1)*y(2)]; 

f= [-params(2)*y(1)*y(2);(params(2)-params(1))*y(1)*y(2)+params(3)*y(3);params(1)*y(1)*y(2)-params(3)*y(3)];

if nargout == 2 % Berechnen der Ableitung
   disp('not part of the deal');
end
